Add product coupon

Apply discount coupons to products added to the shopping cart.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception is thrown if the values are incorrect.

coupon

Required (string) The coupon/voucher code for a promotion impacting a product added to cart.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner
require('PATH_TO_addProduct'); // addProduct example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/08Place_an_order/00Add_product_to_cart

$couponCode = 'YOUR_CUPON_CODE';

try {
    $SetCoupon = $client->setCoupon ($sessionID, $couponCode);
} catch (SoapFault $e) {
    echo "Promotion: " . $e->getMessage();
    exit;
}
var_dump ("Promotion ", $SetCoupon);

Response parameters

Parameter
Type / Description

Result

Boolean True or false

Errors

Error
Description

EMPTY_CART

The shopping cart is empty.

INVALID_COUPON_CODE

The coupon code is empty or invalid.

Last updated

Was this helpful?